{
	"format_version": "1.8.0",
	"animations": {
		"animation.tsu_morph.chicken.general": {
			"loop": true,
			"bones": {
				"bodyMorph": {
					"rotation": [
						"90.0 - this",
						0,
						0
					]
				},
				"wing0Morph": {
					"rotation": [
						0,
						0,
						"!q.is_on_ground ? math.sin(q.anim_time *360*4) * -20 + 90 - this : 0"
					]
				},
				"wing1Morph": {
					"rotation": [
						0,
						0,
						"!q.is_on_ground ? math.sin(q.anim_time *360*4) * 20 - 90 - this : 0"
					]
				}
			}
		},
		"animation.tsu_morph.chicken.baby_transform": {
			"loop": true,
			"bones": {
				"headMorph": {
					"scale": 2
				}
			}
		},
		"animation.tsu_morph.chicken.move": {
			"loop": true,
			"anim_time_update": "query.modified_distance_moved",
			"bones": {
				"leg0Morph": {
					"rotation": [
						"math.cos(query.anim_time * 38.17) *  80.0",
						0,
						0
					]
				},
				"leg1Morph": {
					"rotation": [
						"math.cos(query.anim_time * 38.17) * -80.0",
						0,
						0
					]
				}
			}
		}
	}
}